# Generate API Keys

### Create an API Key

API keys are created in the administration screen of your atfinity application. This means you need at least admin rights for atfinity to create and manage API Keys.

The admin area is accessible by clicking on the shield icon in the lower left corner of the app. Once there, click on API Keys in the menu’s Integrations section.

Next, click 'Create API Key'. This screen will pop up:

![](/files/-MYEwHXuZG5_4Ub610nr)

Enter a name for your API Key, then click 'Create API-Key'.

Next, you will see a screen with the API Key that was created in bold. Be sure to copy it, so you can store and use it to authenticate yourself when making requests to the atfinity API.

You can create an unlimited number of API Keys. In the API Keys overview, click ‘Revoke’ to delete keys you no longer need.

### Use an API Key

To use an API Key in your communication with the atfinity API, add it to the HTTP header of your request, with:

* key: `Api-Key`
* value: the bold value you copied when creating the key

As the key, use \<Api-Key>.

As value, use the bold value you copied when creating the key.<br>

Here’s an example of an authorization header:

`’Authorization: Api-Key n58lzybi.1M2baTIHuRgPGbzdZC3Zch0b8VC2etL0’`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.atfinity.io/api/generate-api-keys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
